Bug 184011 - Review Request: nickle
Review Request: nickle
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Gérard Milmeister
Fedora Package Reviews List
Depends On:
  Show dependency treegraph
Reported: 2006-03-04 19:24 EST by Michel Alexandre Salim
Modified: 2008-01-18 12:42 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-11-13 01:25:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
michel: fedora‑review+
kevin: fedora‑cvs+

Attachments (Terms of Use)

  None (edit)
Description Michel Alexandre Salim 2006-03-04 19:24:11 EST
Spec Name or Url: http://hircus.org/fedora/nickle/nickle.spec
SRPM Name or Url: http://hircus.org/fedora/nickle/nickle-2.53-1.src.rpm
Description: A programming language-based prototyping environment

Nickle is a programming language based prototyping environment with
powerful programming and scripting capabilities. Nickle supports a
variety of datatypes, especially arbitrary precision numbers. The
programming language vaguely resembles C. Some things in C which do
not translate easily are different, some design choices have been made
differently, and a very few features are simply missing.

Nickle provides the functionality of UNIX bc, dc and expr in
much-improved form. It is also an ideal environment for prototyping
complex algorithms. Nickle's scripting capabilities make it a nice
replacement for spreadsheets in some applications, and its numeric
features nicely complement the limited numeric functionality of
text-oriented languages such as AWK and PERL.
Comment 1 Jonathan Underwood 2006-03-05 08:06:45 EST
Not a full review, as I am still awaiting sponsorship, but:
1) Description of devel package is ... lacking :)

2) Source0: http://nickle.org/release/nickle-%{version}.tar.gz could be replaced
with Source0: http://nickle.org/release/%{name}-%{version}.tar.gz

3) You shouldn't install the INSTALL file as part of %doc - the package is
installed, don't confuse users by adding installation instructions :)

4) rpmlint only gives one error about the GPG key (so I think all is fine):
rpmlint nickle-2.53-1.src.rpm
E: nickle unknown-key GPG#f77eed90

Comment 2 Michel Alexandre Salim 2006-03-05 12:40:38 EST
Ah. I wrote the spec before clarifying with upstream what the -devel package is
used for, and neglected to added that .. thanks.

As for upstream filename, it's common to not replace the name with %{name} -
someone might want to make a parallel-installable version of the package, in
which case using %{name} will break.

Thanks for the note!

Spec Name or Url: http://hircus.org/fedora/nickle/nickle.spec
SRPM Name or Url: http://hircus.org/fedora/nickle/nickle-2.53-2.src.rpm
Comment 3 Gérard Milmeister 2006-03-15 05:34:58 EST
- /usr/share/nickle/COPYING can be removed, it is already with the doc
- I would move the examples to the doc
- rpmlint nickle-devel-2.53-2.fc4.i386.rpm:
E: nickle-devel description-line-too-long Include files for Nickle, used for
bulding external FFI (foreign function interface) libraries (e.g. the Cairo
interface for Nickle).
Comment 4 Michel Alexandre Salim 2006-03-19 19:25:02 EST
Spec Name or Url: http://hircus.org/fedora/nickle/nickle.spec
SRPM Name or Url: http://hircus.org/fedora/nickle/nickle-2.53-3.src.rpm
Comment 5 Gérard Milmeister 2006-03-20 06:08:41 EST
- why you use

  %dir %{_includedir}/nickle

  instead of simply


- Do not use %ghost to exclude files, simply remove them.
Comment 6 Michel Alexandre Salim 2006-03-31 16:28:42 EST
Any reason why %ghost is bad? The %dir is just a matter of style, I can change
it if you want.
Comment 7 Gérard Milmeister 2006-03-31 17:26:20 EST
%ghost DOES prevent the files from being included in the package.
However it still causes a reference to be created in the files list
with the attributes etc...
This is used for example for log files that may be created
during the operation of the program, so that it gets the right
In our case, we simply want the files removed. In the end, here
it does not make much difference.
There is also another directive, %exclude, that simply does not
package the file.
Comment 8 Gérard Milmeister 2006-11-02 16:58:08 EST
Comment 9 Michel Alexandre Salim 2006-11-02 21:15:26 EST


Sorry for the late response! Changed the %ghost to %exclude and avoided using
%dir and then listing everything under it.

Comment 10 Gérard Milmeister 2006-11-04 07:18:33 EST
I think it is enough to have
  rm -rf $RPM_BUILD_ROOT
instead of
  [ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

The examples directory appears twice, once in the docdir and once in
/usr/share/nickle. I prefer the docdir.
The examples directory contains Makefile* files which are not functional.
Comment 11 Michel Alexandre Salim 2006-11-04 11:35:51 EST

Fixed, thanks. Note that the two left-over COPYING files in %{_docdir}/examples
are there because they cite different authors than the main COPYING file.
Comment 12 Gérard Milmeister 2006-11-12 17:06:08 EST
* source files match upstream:   
   ffc7b03a830e64ec0547777330ae00b8  nickle-2.54.tar.gz
* package meets naming and packaging guidelines
* specfile is properly named, is cleanly written and uses macros consistently
* dist tag is present
* build root is correct
* license field matches the actual license
* license is open source-compatible, license text included in package
* latest version is being packaged
* BuildRequires are proper
* compiler flags are appropriate
* %clean is present
* package builds in mock (FC-6, i386)
* package installs properly
* rpmlint is silent (no doc for -devel package, which is ok)
* final provides and requires are sane
* no shared libraries are added to the regular linker search paths
* owns the directories it creates
* doesn't own any directories it shouldn't
* no duplicates in %files
* file permissions are appropriate
* no scriptlets present
* code, not content
* documentation is small, so no -docs subpackage is necessary
* %docs are not necessary for the proper functioning of the package
* header files in -devel package
* no pkgconfig files
* no libtool .la droppings

Comment 13 Michel Alexandre Salim 2006-11-13 01:25:36 EST
Rawhide build done. Thanks for reviewing!
Comment 14 Michel Alexandre Salim 2008-01-18 11:52:30 EST
Package Change Request
Package Name: nickle
New Branches: EL-5
Comment 15 Kevin Fenzi 2008-01-18 12:42:40 EST
cvs done.

Note You need to log in before you can comment on or make changes to this bug.